<?php

namespace Drupal\wallee\Event;

use Symfony\Component\EventDispatcher\Event;

/**
 * Wraps a node insertion demo event for event listeners.
 */
class GetUserLanguageEvent extends Event {
  protected $customer;
  protected $language;

  const USER_PREFERRED_LANG = 'event_subscriber_wallee.user.lang';

  /**
   * Constructs a node insertion demo event object.
   *
   * @param \Drupal\Core\Entity\EntityInterface $entity
   */
  public function __construct($user) {
    $this->customer = $user;
  }

  /**
   * Get the inserted entity.
   *
   * @return \Drupal\Core\Entity\EntityInterface
   */
  public function getCustomer() {
    return $this->customer;
  }

  /**
   *
   */
  public function getLanguage() {
    return $this->language;
  }

  /**
   *
   */
  public function setLanguage($lang) {
    $this->language = $lang;
  }

}
